Loading...
Searching...
No Matches
Attributes and Cntls
Globus XIO » Globus XIO MODE_E Driver

Attributes and Cntls. More...

## Enumerations

enum

globus_xio_mode_e_cmd_t {
GLOBUS_XIO_MODE_E_SET_STACK , GLOBUS_XIO_MODE_E_GET_STACK , GLOBUS_XIO_MODE_E_SET_NUM_STREAMS , GLOBUS_XIO_MODE_E_GET_NUM_STREAMS ,
GLOBUS_XIO_MODE_E_SET_OFFSET_READS , GLOBUS_XIO_MODE_E_GET_OFFSET_READS , GLOBUS_XIO_MODE_E_SET_MANUAL_EODC , GLOBUS_XIO_MODE_E_GET_MANUAL_EODC ,
GLOBUS_XIO_MODE_E_SEND_EOD , GLOBUS_XIO_MODE_E_SET_EODC , GLOBUS_XIO_MODE_E_DD_GET_OFFSET , GLOBUS_XIO_MODE_E_SET_STACK_ATTR ,
GLOBUS_XIO_MODE_E_GET_STACK_ATTR
}

## Functions

globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_SET_STACK, globus_xio_stack_t stack)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_GET_STACK, globus_xio_stack_t *stack_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_SET_NUM_STREAMS, int num_streams)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_GET_NUM_STREAMS, int *num_streams_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_SET_OFFSET_READS, globus_bool_t offset_reads)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_GET_OFFSET_READS, globus_bool_t *offset_reads_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_SET_MANUAL_EODC, globus_bool_t manual_eodc)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_GET_MANUAL_EODC, globus_bool_t *manual_eodc_out)
globus_result_t | globus_xio_data_descriptor_cntl (dd, driver, GLOBUS_XIO_MODE_E_SEND_EOD, globus_bool_t send_eod)
globus_result_t | globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_MODE_E_SET_EODC, int eod_count)
globus_result_t | globus_xio_data_descriptor_cntl (dd, driver, GLOBUS_XIO_MODE_E_DD_GET_OFFSET, globus_off_t *offset_out)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_SET_STACK_ATTR, globus_xio_stack_t stack)
globus_result_t | globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_MODE_E_GET_STACK_ATTR, globus_xio_attr_t *stack_out)

## Detailed Description

Attributes and Cntls.

Mode_e driver specific attrs and cntls.

See also
  globus_xio_attr_cntl()
  globus_xio_handle_cntl()
  globus_xio_server_cntl()
  globus_xio_data_descriptor_cntl()

## Enumeration Type Documentation

## globus_xio_mode_e_cmd_t

enum globus_xio_mode_e_cmd_t

doxygen varargs filter stuff MODE_E driver specific cntls

Enumerator
GLOBUS_XIO_MODE_E_SET_STACK | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_MODE_E_GET_STACK | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_MODE_E_SET_NUM_STREAMS | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_MODE_E_GET_NUM_STREAMS | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_MODE_E_SET_OFFSET_READS | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_MODE_E_GET_OFFSET_READS | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_MODE_E_SET_MANUAL_EODC | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_MODE_E_GET_MANUAL_EODC | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_MODE_E_SEND_EOD | See usage for: globus_xio_data_descriptor_cntl
GLOBUS_XIO_MODE_E_SET_EODC | See usage for: globus_xio_handle_cntl
GLOBUS_XIO_MODE_E_DD_GET_OFFSET | See usage for: globus_xio_data_descriptor_cntl
GLOBUS_XIO_MODE_E_SET_STACK_ATTR | See usage for: globus_xio_attr_cntl
GLOBUS_XIO_MODE_E_GET_STACK_ATTR | See usage for: globus_xio_attr_cntl

## Function Documentation

## globus_xio_attr_cntl() [1/10]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_MODE_E_GET_MANUAL_EODC | ,
|  | globus_bool_t * | manual_eodc_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get MANUAL_EODC flag on the attr.

Parameters

  manual_eodc_out | The MANUAL_EODC flag will be stored here.

## globus_xio_attr_cntl() [2/10]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_MODE_E_GET_NUM_STREAMS | ,
|  | int * | num_streams_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the number of streams on the attr.

Parameters

  num_streams_out | The stream count will be stored here.

## globus_xio_attr_cntl() [3/10]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_MODE_E_GET_OFFSET_READS | ,
|  | globus_bool_t * | offset_reads_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get OFFSET_READS flag on the attr.

Parameters

  offset_reads_out | The OFFSET_READS flag will be stored here.

## globus_xio_attr_cntl() [4/10]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_MODE_E_GET_STACK | ,
|  | globus_xio_stack_t * | stack_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the stack on the attr.

Parameters

  stack_out | The stack will be stored here. If none is set, GLOBUS_NULL will be set.

## globus_xio_attr_cntl() [5/10]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_MODE_E_GET_STACK_ATTR | ,
|  | globus_xio_attr_t * | stack_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the attr that will be used with the stack. This is intended for use with GLOBUS_XIO_MODE_E_SET_STACK.

Parameters

  stack_out | The stack will be stored here. If none is set, GLOBUS_NULL will be set.

## globus_xio_attr_cntl() [6/10]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_MODE_E_SET_MANUAL_EODC | ,
|  | globus_bool_t | manual_eodc )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set flag to indicate whether EODC will be set manually by the user on a data_desc or the driver has to calculate the EODC

Parameters

  manual_eodc | GLOBUS_TRUE to set EODC manually, GLOBUS_FALSE to not set EODC manually (default).

## globus_xio_attr_cntl() [7/10]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_MODE_E_SET_NUM_STREAMS | ,
|  | int | num_streams )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the number of streams to be used between the client and the server.

Parameters

  num_streams | Specifies the number of streams to use.

## globus_xio_attr_cntl() [8/10]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_MODE_E_SET_OFFSET_READS | ,
|  | globus_bool_t | offset_reads )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set flag to indicate whether the data read from user would always be preceded by an offset read or not. The user can do a read with wait_for_bytes set to zero, to find the offset of the data that he is going to get in his next read operation

Parameters

  offset_reads | GLOBUS_TRUE to enable offset reads, GLOBUS_FALSE to disable offset reads (default).

## globus_xio_attr_cntl() [9/10]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_MODE_E_SET_STACK | ,
|  | globus_xio_stack_t | stack )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the stack (of xio drivers) to be used for the connection(s).

Do not create a new ftp client handle, use this handle instead.

Parameters

  stack | Specifies the stack to use for the connection(s). Note: this stack will not be destroyed.

## globus_xio_attr_cntl() [10/10]

globus_result_t globus_xio_attr_cntl | ( | attr | ,
|  | driver | ,
|  | GLOBUS_XIO_MODE_E_SET_STACK_ATTR | ,
|  | globus_xio_stack_t | stack )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the attr to be used with the stack set from GLOBUS_XIO_MODE_E_SET_STACK.

Do not create a new ftp client handle, use this handle instead.

Parameters

  stack | Specifies the stack to use for the connection(s). Note: this stack will not be destroyed.

## globus_xio_data_descriptor_cntl() [1/2]

globus_result_t globus_xio_data_descriptor_cntl | ( | dd | ,
|  | driver | ,
|  | GLOBUS_XIO_MODE_E_DD_GET_OFFSET | ,
|  | globus_off_t * | offset_out )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get offset of the next available data

Used only if OFFSET_READS is enabled.

Parameters

  offset_out | offset will be stored here

## globus_xio_data_descriptor_cntl() [2/2]

globus_result_t globus_xio_data_descriptor_cntl | ( | dd | ,
|  | driver | ,
|  | GLOBUS_XIO_MODE_E_SEND_EOD | ,
|  | globus_bool_t | send_eod )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set SEND_EOD flag

Used only for data descriptors to write calls.

Parameters

  send_eod | GLOBUS_TRUE to send EOD, GLOBUS_FALSE to not send EOD (default).

## globus_xio_handle_cntl()

globus_result_t globus_xio_handle_cntl | ( | handle | ,
|  | driver | ,
|  | GLOBUS_XIO_MODE_E_SET_EODC | ,
|  | int | eod_count )

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set EOD count

Used only if MANUAL_EODC flag is set to GLOBUS_TRUE.

Parameters

  eod_count | specifies the eod count